Subject: bug#61520: closed (Re: bug#61520: Bug found)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 15 Feb 2023 11:02:02 +0000

Your bug report

#61520: Bug found

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61520: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61520
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#61520: Bug found
From: Simon Tournier <[email-masked]>
To: tmikew1985 <[email-masked]>
Cc: [email-masked]
Date: Wed, 15 Feb 2023 12:01:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Wed, 15 Feb 2023 at 11:25, tmikew1985 <[email-masked]> wrote:

> After I sent the report I run guix pull again and it worked.

Thanks.  So closing because it was a transient error.  Feel free to
reopen if I miss something.

Cheers,
simon

Subject: Bug found
From: tmikew1985 <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 14 Feb 2023 21:27:31 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Output from guix pull:

Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Authenticating channel 'guix', commits 9edb3f6 to a22b62b (130 new commits)...
Updating channel 'nonguix' from Git repository at 'https://gitlab.com/nonguix/nonguix'...
Authenticating channel 'nonguix', commits 897c1a4 to 225185a (5 new commits)...
Building from these channels:
nonguix https://gitlab.com/nonguix/nonguix 225185a
guix https://git.savannah.gnu.org/git/guix.git a22b62b
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
config.scm 501B 6KiB/s 00:00 [##################] 100.0%
git.scm 101B 65KiB/s 00:00 [##################] 100.0%
hash.scm 130B 2KiB/s 00:00 [##################] 100.0%
module-import 2KiB 252KiB/s 00:00 [##################] 100.0%
module-import 2KiB 237KiB/s 00:00 [##################] 100.0%
module-import-compiled 1.2MiB 174KiB/s 00:07 [##################] 100.0%
module-import-compiled 1.2MiB 199KiB/s 00:06 [##################] 100.0%
building /gnu/store/q0s8s1mlvngrxahnw146kbc2nf6s3amz-compute-guix-derivation.drv...
graphviz-2.49.0-doc 2.0MiB 12KiB/s 01:35 [########## ] 57.-Backtrace:
17 (primitive-load "/gnu/store/cjzpf90l4xxgsdfv4nrkwr3a44z59wcr-compute-guix-derivation")
In ice-9/eval.scm:
155:9 16 (_ _)
159:9 15 (_ #(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-u?> ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
In ice-9/boot-9.scm:
152:2 14 (with-fluid* _ _ _)
152:2 13 (with-fluid* _ _ _)
In ./guix/store.scm:
2170:24 12 (run-with-store #<store-connection 256.99 7f6f986d7140> #<procedure 7f6f80348140 at ./guix/self.scm:13?> ?)
1998:8 11 (_ #<store-connection 256.99 7f6f986d7140>)
In ./guix/gexp.scm:
299:22 10 (_ #<store-connection 256.99 7f6f986d7140>)
1180:2 9 (_ #<store-connection 256.99 7f6f7e53a9b0>)
1046:2 8 (_ #<store-connection 256.99 7f6f7e53a9b0>)
892:4 7 (_ #<store-connection 256.99 7f6f7e53a9b0>)
In ./guix/store.scm:
2055:12 6 (_ #<store-connection 256.99 7f6f7e53a9b0>)
1403:5 5 (map/accumulate-builds #<store-connection 256.99 7f6f7e53a9b0> #<procedure 7f6f8e132160 at ./guix/stor?> ?)
1419:15 4 (_ #<store-connection 256.99 7f6f7e53a9b0> ("/gnu/store/7g3dhgfl0fx5zkplciw5r3dvs0hv3k8f-guile-ssh-?" ?) ?)
1419:15 3 (loop #f)
713:11 2 (process-stderr #<store-connection 256.99 7f6f7e53a9b0> _)
In ./guix/serialization.scm:
102:11 1 (read-int #<input-output: file 10>)
80:6 0 (get-bytevector-n* #<input-output: file 10> 8)

./guix/serialization.scm:80:6: In procedure get-bytevector-n*:
ERROR:
1. &nar-error:
file: #f
port: #<input-output: file 10>
guix pull: error: You found a bug: the program '/gnu/store/cjzpf90l4xxgsdfv4nrkwr3a44z59wcr-compute-guix-derivation'
failed to compute the derivation for Guix (version: "a22b62b98e051cced363e7a363aa3847210aec50"; system: "x86_64-linux";
host version: "fe554337de7fa739165958e655fa6fb9dc73cf06"; pull-version: 1).

Sent with [Proton Mail](https://proton.me/) secure email.